// Ta wersja programu generuje już różne liczby, gdy jest uruchamiana w różnych
// momentach czasu, gdyż generator liczb pseudolosowych jest inicjalizowany
// odczytem zegara w momencie uruchomienia programu.
// Jednak odczyt zegara odbywa się z dokładnością do 1 sekundy, więc i tak jest dość prawdopodobne
// uruchomienie programu w tej samej sekundzie na różnych kompach.

#include <iostream>
#include <cstdlib>
using namespace std;

int main() {
    int x, y, z;

    srand(time(nullptr));

    x = random();
    y = random();
    z = random();

    cout << "Wylosowane liczby: " << x << " " << y << " " << z << endl;

    // Często potrzebujemy wylosować liczbę z jakiegoś zakresu,
    // np. liczby od 0 do 9 - jak uzyskać taką liczbę?
    // Można użyć reszty z dzielenia wylosowanej liczby przez 10.
    x = random() % 10;
    y = random() % 10;
    z = random() % 10;

    cout << "Wylosowane liczby z zakresu: " << x << " " << y << " " << z << endl;

    return 0;
}
